Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package fsc
  Definition Classes
    nsc
- CompileClient
- CompileOutputCommon
- CompileServer
- CompileSocket
- DaemonKiller
- FscSettings
- HasCompileSocket
- OfflineCompilerCommand
- ResidentScriptRunner
- Socket
- SocketServer
- StandardCompileClient
- StandardCompileServer

c

scala.tools.nsc.fsc

# StandardCompileServer

###

#### class StandardCompileServer extends SocketServer

The server part of the fsc offline compiler. It awaits compilation commands and executes them. It caches a compiler instance so that it can respond more quickly.

Source
  CompileServer.scala

Linear Supertypes
SocketServer, CompileOutputCommon, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StandardCompileServer
2. SocketServer
3. CompileOutputCommon
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new StandardCompileServer(fixPort: Int = 0)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StandardCompileServer toany2stringadd[StandardCompileServer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StandardCompileServer, B)
   Implicit
     This member is added by an implicit conversion from StandardCompileServer toArrowAssoc[StandardCompileServer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val BufferSize: Int
   Definition Classes
     SocketServer
7.  val MaxCharge: Double
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  lazy val compileSocket: CompileSocket
11.  def createServerSocket(): ServerSocket
    Attributes
      protected
    Definition Classes
      SocketServer
12.  def doSession(clientSocket: Socket): Unit
    Definition Classes
      SocketServer
13.  def echo(msg: String): Unit
    Definition Classes
      CompileOutputCommon
14.  def ensuring(cond: (StandardCompileServer) => Boolean, msg: => Any): StandardCompileServer
    Implicit
      This member is added by an implicit conversion from StandardCompileServer toEnsuring[StandardCompileServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (StandardCompileServer) => Boolean): StandardCompileServer
    Implicit
      This member is added by an implicit conversion from StandardCompileServer toEnsuring[StandardCompileServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: => Any): StandardCompileServer
    Implicit
      This member is added by an implicit conversion from StandardCompileServer toEnsuring[StandardCompileServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): StandardCompileServer
    Implicit
      This member is added by an implicit conversion from StandardCompileServer toEnsuring[StandardCompileServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def fatal(msg: String): Nothing
    Definition Classes
      CompileOutputCommon
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StandardCompileServer toStringFormat[StandardCompileServer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  var idleMinutes: Int
    Attributes
      protected
    Definition Classes
      SocketServer
26.  var in: BufferedReader
    Definition Classes
      SocketServer
27.  def info(msg: String): Unit
    Definition Classes
      CompileOutputCommon
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  def isMemoryFullEnough(): Boolean
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  var out: PrintWriter
    Definition Classes
      SocketServer
34.  lazy val port: Int
    Definition Classes
      SocketServer
35.  def printMemoryStats(): Unit
36.  var reporter: ConsoleReporter
37.  def run(): Unit
    Definition Classes
      SocketServer
38.  lazy val serverSocket: ServerSocket
    Definition Classes
      SocketServer
39.  def session(): Unit
    Definition Classes
      StandardCompileServer → SocketServer
40.  var shutdown: Boolean
    Definition Classes
      StandardCompileServer → SocketServer
41.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
42.  def timeout(): Unit
    Definition Classes
      StandardCompileServer → SocketServer
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  def unequalSettings(s1: Settings, s2: Settings): Set[Settings.Setting]

    Problematically, Settings are only considered equal if every setting is exactly equal.

    Problematically, Settings are only considered equal if every setting is exactly equal. In fsc this immediately breaks down because the randomly chosen temporary outdirs differ between client and server. Among other things. Long term we could use a meaningful equality; short term I'm just ignoring options which I can see causing a new compiler instance every time and which do not interestingly influence compilation products.

45.  var verbose: Boolean
    Definition Classes
      StandardCompileServer → CompileOutputCommon
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
49.  def warn(msg: String): Unit
    Definition Classes
      CompileOutputCommon

### Deprecated Value Members

1.  def →[B](y: B): (StandardCompileServer, B)
   Implicit
     This member is added by an implicit conversion from StandardCompileServer toArrowAssoc[StandardCompileServer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from SocketServer

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromStandardCompileServer to any2stringadd[StandardCompileServer]

### Inherited by implicit conversion StringFormat fromStandardCompileServer to StringFormat[StandardCompileServer]

### Inherited by implicit conversion Ensuring fromStandardCompileServer to Ensuring[StandardCompileServer]

### Inherited by implicit conversion ArrowAssoc fromStandardCompileServer to ArrowAssoc[StandardCompileServer]

### Ungrouped